Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class FileReporter

    java.lang.Object
      net.sourceforge.pmd.cpd.FileReporter

public class FileReporter
extends java.lang.Object

Author:
  Philippe T'Seyen

Constructor Summary
`FileReporter(java.io.File reportFile)`

Method Summary
`void` | `report(java.lang.String content)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileReporter

    public FileReporter(java.io.File reportFile)

Method Detail

### report

    public void report(java.lang.String content)
                throws ReportException

  Throws:
    `ReportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.